import {
  Model,
  model,
  modelAction,
  ModelAutoTypeCheckingMode,
  setGlobalConfig,
  tProp,
  types,
} from "mobx-keystone";
import { v4 as uuidv4 } from "uuid";
import { toJS } from "mobx";

setGlobalConfig({
  modelAutoTypeChecking: ModelAutoTypeCheckingMode.AlwaysOn,
});
@model("keystone/Application/ScannedTicketSimple")
export default class ScannedTicketSimple extends Model({
  id: tProp(types.string, () => uuidv4()),
  data: tProp(types.string),
  exitTime: tProp(types.number, new Date().getTime()),
}) {
  onInit = () => {};

  get all() {
    return this;
  }
}
